_base_ = [
    'configs/_base_/models/tiny-vit-large-p16.py',
    'configs/_base_/datasets/tiny_imagenet_bs64_pil_resize_autoaug.py',
    'configs/_base_/schedules/imagenet_bs4096_AdamW.py',
    'configs/_base_/default_runtime.py'
]

# model setting
model = dict(
    head=dict(hidden_dim=3072),
    train_cfg=dict(augments=dict(type='Mixup', alpha=0.2)),
)

# schedule setting
optim_wrapper = dict(
        type='AmpOptimWrapper',
        dtype='bfloat16',
        clip_grad=dict(max_norm=1.0))
